GetXAPI
Articles

List Articles

Paginated list of the auth_token user's own Twitter/X articles, filtered by draft or published lifecycle. $0.005 per call.

POST/twitter/article/list

This endpoint costs $0.005 per API call.

Paginated list of the auth_token user's own articles.

Request Body

FieldTypeRequiredDescription
auth_tokenstringYesUser's auth token
lifecyclestringNo"Draft" (default) or "Published"
cursorstringNoPagination cursor from a previous response
countnumberNoPage size, default 20
proxystringNoYour proxy URL

Response (200)

{
  "userId": "1454465540949307394",
  "lifecycle": "Draft",
  "article_count": 5,
  "has_more": true,
  "next_cursor": "...",
  "articles": [
    {
      "article_id": "2055861112222986240",
      "title": "Renamed (still safe to delete)",
      "preview_text": "",
      "lifecycle": "Draft",
      "cover_media": null,
      "tweet_id": null,
      "created_at_secs": 1778990421,
      "modified_at_secs": 1778990510
    }
  ]
}

Examples

curl -X POST "https://api.getxapi.com/twitter/article/list" \
  -H "Authorization: Bearer API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "auth_token": "your_auth_token",
    "lifecycle": "Published"
  }'

Paginate

curl -X POST "https://api.getxapi.com/twitter/article/list" \
  -H "Authorization: Bearer API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "auth_token": "your_auth_token",
    "lifecycle": "Draft",
    "cursor": "NEXT_CURSOR_FROM_PREV_RESPONSE",
    "count": 50
  }'

On this page